﻿using System;
using System.Collections.Generic;
using System.Text;
using FrameworkX.ObjectSpace.Data.Schema;

namespace FrameworkX.HadithDB.Core.Entities
{
    [Serializable]
    public class Narrator
    {
        [PrimaryKey]
        [Int32(isPrimary: true, isNullable: false, isIdentity: true)]
        public int NaratorID { get; set; }

        [ForiegnKey(typeof(Person))]
        [Int32(isNullable:false, isIdentity:false, isPrimary:false)]
        public int PersonID { get; set; }

        [ForiegnKey(typeof(Reputation))]
        [Int32(isNullable:false, isIdentity:false, isPrimary:false)]
        public int ReputationID  { get; set; }
    }
}
