﻿using System;
using System.Collections.Generic;
using System.Text;
using FrameworkX.ObjectSpace.Data.Schema;

namespace FrameworkX.HadithDB.Core.Entities
{
    [Serializable]
    public class HadithSubCollection
    {
        [PrimaryKey]
        [Int32(isPrimary: true, isNullable: false, isIdentity: true)]
        public int HadithSubCollectionID { get; set; }

        [ForiegnKey(typeof(HadithCollection))]
        [Int32(isNullable: false)]
        public int HadithCollectionID { get; set; }

        [Int32(isNullable: false)]
        public int BookNo { get; set; }

        [Int32(isNullable: false)]
        public int VolumeNo { get; set; }

        [Int32(isNullable: false)]
        public int ChapterNo { get; set; }

        [Int32(isNullable: false)]
        public int PublicationYear { get; set; }
    }
}
