using System;
using System.Collections.Generic;
using System.Text;
using FrameworkX.ObjectSpace.Data.Schema;

namespace FrameworkX.TinyCms.Core.Security
{
    [Serializable]
    public class UserGroupMap
    {
        public static readonly string PROPERTY_USERGROUPMAPID = "UserGroupMapID";
        private long _userGroupMapID = 0;
        [PrimaryKey]
        public long UserGroupMapID
        {
            get { return _userGroupMapID; }
            set { _userGroupMapID = value; }
        }

        public static readonly string PROPERTY_GROUPID = "GroupID";
        private long _groupID=0;
        [Int64(false,false)]
        public long GroupID
        {
            get { return _groupID; }
            set { _groupID = value; }
        }

        public static readonly string PROPERTY_USERID = "UserID";
        private long _userID=0;
        [Int64(false, false),ForiegnKey(typeof(User)) ]
        public long UserID
        {
            get { return _userID; }
            set { _userID = value; }
        }

    }
}
