using System;
using System.Collections.Generic;
using System.Text;
using System.Threading;

namespace FrameworkX.ObjectSpace.Validation
{
    public class IsDateAttribute : ValidationAttribute
    {
        public override ValidationResult Validate(string propertyName, string value)
        {
            DateTime datetime;
            //CultureInfo info1 = Thread.CurrentThread.CurrentCulture;            
            if (!DateTime.TryParse(value, out datetime))
            {
                return new ValidationResult(false,
                    string.Format("{0} must be in correct datetime format.",
                    Util.GetSpacedStringFromWordCapitalizedString(propertyName)));
            }
            else
            {
                return new ValidationResult(true);
            }
        }
    }
}
