using System;
using System.Collections.Generic;
using System.Text;
using FrameworkQ.ObjectSpace.Data.Providers;

namespace FrameworkQ.ObjectSpace.Data.Providers.SqlServer
{
	public class SqlServerDataTypeTranslator : SqlDataTypeTranslatorBase
    {
        public override char OpeningIdentifier
        {
            get { return '['; }
        }

        public override char ClosingIdentifier
        {
            get { return ']'; }
        }

		public override char ParameterIdentifier
		{
			get { return '@'; }
		}

		public override char ParameterPlaceholderIdentifier
		{
			get { return '?'; }
		}
}
}
