using System;
using System.Collections.Generic;
using System.Text;
using System.Data;

namespace FrameworkQ.ObjectSpace.Data.Schema
{
    public class AnsiStringFixedLengthAttribute : DataTypeAttribute
    {
        public AnsiStringFixedLengthAttribute(int length)
            : base(System.Data.DbType.AnsiStringFixedLength , length, 0, 0, true, null, false, false)
        {
        }

        public AnsiStringFixedLengthAttribute(int length, bool isNullable)
            : base(System.Data.DbType.AnsiStringFixedLength, length, 0, 0, isNullable, null, false, false)
        {
        }

        public AnsiStringFixedLengthAttribute(int length, bool isNullable, string defaultValue)
            : base(System.Data.DbType.AnsiStringFixedLength, length, 0, 0, isNullable, defaultValue, false, false)
        {
        }

    }
}
