using System;
using System.Collections.Generic;
using System.Text;

namespace FrameworkQ.ObjectSpace.Data.Schema
{
    public class BinaryAttribute : DataTypeAttribute
    {
        public BinaryAttribute(int length) : base (System.Data.DbType.Binary,length ,0,0, true, null, false, false)
        {
        }

        public BinaryAttribute(int length, bool isNullable)
            : base(System.Data.DbType.Binary, length, 0, 0, isNullable, null, false, false)
        {
        }
    }
}
