using System;
using System.Collections.Generic;
using System.Text;

namespace FrameworkQ.ObjectSpace.Data.Schema
{
    public class ByteAttribute : DataTypeAttribute
    {
        public ByteAttribute() : base (System.Data.DbType.Byte, 0,0,0, true, null, false, false)
        {
        }

        public ByteAttribute(bool isNullable)
            : base(System.Data.DbType.Byte, 0, 0, 0, isNullable, null, false, false)
        {
        }

        public ByteAttribute(bool isNullable, byte defaultValue)
            : base(System.Data.DbType.Binary, 0, 0, 0, isNullable, defaultValue,false, false)
        {
        }

    }
}
