using System;
using System.Collections.Generic;
using System.Text;

namespace FrameworkQ.ObjectSpace.Data.Schema
{
    public class Int64Attribute : DataTypeAttribute
    {
        public Int64Attribute()
            : base(System.Data.DbType.Int64, 0, 0, 0, true, string.Empty, false, false)
        {
        }

        public Int64Attribute(bool isNullable)
            : base(System.Data.DbType.Int64, 0, 0, 0, isNullable, null, false, false)
        {
        }

        public Int64Attribute(bool isNullable, bool isIdentity)
            : base(System.Data.DbType.Int64, 0, 0, 0, isNullable, null, isIdentity, false)
        {
        }

        public Int64Attribute(bool isNullable, bool isIdentity, Int64 defaultValue)
            : base(System.Data.DbType.Int64, 0, 0, 0, isNullable, defaultValue, isIdentity, false)
        {
        }

    }
}
