using System;

namespace FrameworkQ.ObjectSpace.Data.Schema
{

	public enum MappingConstraintTypes
	{
		None,
		AllPropertiesMustMap
	}

	/// <summary>
	/// This is an attribute for future use. Ignore for now ...
	/// </summary>
	public class MappingConstraintAttribute : System.Attribute 
	{
		MappingConstraintTypes _mappingConstraint  = MappingConstraintTypes.None;
		public MappingConstraintAttribute(MappingConstraintTypes mappingConstraint)
		{
			_mappingConstraint = mappingConstraint;
		}

		public MappingConstraintTypes MappingConstraint
		{
			get
			{
				return _mappingConstraint;
			}
		}
	}
}
