using System;
using System.Collections.Generic;
using System.Text;

namespace FrameworkQ.ObjectSpace.Data.Schema
{
    public class StringFixedLengthAttribute : DataTypeAttribute
    {
        public StringFixedLengthAttribute(int length)
            : base(System.Data.DbType.StringFixedLength, length, 0, 0, true, null, false, false )
        {
        }

        public StringFixedLengthAttribute(int length, bool isNullable)
            : base(System.Data.DbType.StringFixedLength, length, 0, 0, isNullable, null, false, false)
        {
        }

        public StringFixedLengthAttribute(int length, bool isNullable, string defaultValue)
            : base(System.Data.DbType.StringFixedLength, length, 0, 0, isNullable, defaultValue, false, false)
        {             
        }        

    }
}
