using System;
using System.Collections.Generic;
using System.Text;

namespace FrameworkQ.ObjectSpace.Data.Schema
{
    public class UInt32Attribute : DataTypeAttribute
    {
        public UInt32Attribute()
            : base(System.Data.DbType.Int32 , 0, 0, 0, true, null, false, false)
        {
        }

        public UInt32Attribute(bool isNullable)
            : base(System.Data.DbType.Int32, 0, 0, 0, isNullable, null, false, false)
        {
        }

        public UInt32Attribute(bool isNullable, bool isIdentity)
            : base(System.Data.DbType.Int32, 0, 0, 0, isNullable, null, isIdentity, false)
        {
        }

        public UInt32Attribute(bool isNullable, bool isIdentity, uint defaultValue)
            : base(System.Data.DbType.Int32, 0, 0, 0, isNullable, defaultValue , isIdentity, false)
        {
        }

    }
}
