/*
 *	2004 JAN 24 SHP
 *		1. Added licence
 *		2. Added comment
 */

using System;
using System.Data;
using FrameworkQ.ObjectSpace;


namespace FrameworkQ.ObjectSpace
{
	/// <summary>
	/// Any class imeplementing this interface should be able populate 
	/// object from data reader
	/// </summary>
	public interface IPopulateObject
	{
		/// <summary>
		/// Populate the object the from the data reader 
		/// </summary>
		/// <param name="obj">Object to populate</param>
		/// <param name="reader">Data reader</param>
		void PopulateObject ( object obj, IDataReader reader);
        object PopulateObject(IDataReader reader);
        bool RequiresObjectCreation { get; }

	}
}
