﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using FrameworkQ.ObjectSpace;
using FrameworkQ.ObjectSpace.Data.Schema;

/// <summary>
/// Summary description for FoodValue
/// </summary>
[Serializable]
[TableMap ("foodvalue")]
public class FoodValue
{
	public FoodValue()
	{
		//
		// TODO: Add constructor logic here
		//
	}

    [PrimaryKey()]
    [FieldMap("Foodcode")]
    [Int32(false, false)]
    public int FoodCode { get; set; }

    public string Name {get; set;}

    public string BengaliName {get; set;}

    public double Refuse{get; set;}

    public double Moisture{get; set;}

    public double TotalMineral{get; set;}

    public double Fibre{get; set;}

    public double Energy{get; set;}

    public double Protein {get; set;}

    public double Fat {get; set;}

    public double Carbohydrate { get; set; }

    public double Calccium { get; set; }

    public double Iron { get; set; }

    public double Thiamin { get; set; }

    public double Riboflavin { get; set; }

    public double VitaC { get; set; }

    public double BCarotene { get; set; }

    public double Retinol { get; set; }

    public double RetinolEquiv { get; set; }

}