﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

/// <summary>
/// Summary description for FoodValueDisplay
/// </summary>
public class FoodValueDisplay : FoodValue
{
    public double Amount { get; set; }

    public FoodValueDisplay()
    { }

	public FoodValueDisplay( FoodValue value, double amount )
	{
        this.Amount = amount;
        this.BCarotene = value.BCarotene / 100 * amount;
        this.Calccium  = value.Calccium / 100 * amount;
        this.Carbohydrate = value.Carbohydrate / 100 * amount;
        this.Energy  = value.Energy / 100 * amount;
        this.Fat = value.Fat / 100 * amount;
        this.Fibre = value.Fibre / 100 * amount;
        this.Iron = value.Iron / 100 * amount;
        this.Moisture = value.Moisture / 100 * amount;
        this.Protein = value.Protein / 100 * amount;
        this.Refuse = value.Refuse/ 100 * amount;
        this.Retinol = value.Retinol / 100 * amount;
        this.RetinolEquiv = value.RetinolEquiv / 100 * amount;
        this.Riboflavin = value.Riboflavin / 100 * amount;
        this.Thiamin = value.Thiamin / 100 * amount;
        this.TotalMineral = value.TotalMineral / 100 * amount;
        this.VitaC = value.VitaC / 100 * amount;
        this.FoodCode = value.FoodCode;
        this.Name = value.Name;
        this.BengaliName = value.BengaliName;

	}
}