﻿using System;
using System.Collections.Generic;
using System.Text;
using FrameworkX.ObjectSpace.Data.Schema;

namespace FrameworkX.HadithDB.Core.Entities
{
    [Serializable]
    public class Hadith
    {
        [PrimaryKey]
        [Int32(isPrimary: true, isNullable: false, isIdentity: true)]
        public int HadithID { get; set; }

        [ForiegnKey(typeof(Narrator))]
        [Int32(isNullable:false)]
        public int NarratorID { get; set; }

        [ForiegnKey(typeof(HadithSubCollection))]
        [Int32(isNullable:false)]
        public int HadithCollectionID {get;set;}


        
    }
}
