﻿using System;
using System.Collections.Generic;
using System.Text;
using FrameworkX.ObjectSpace.Data.Schema;

namespace FrameworkX.HadithDB.Core.Entities
{
    [Serializable]
    public class HadithCollection
    {
        [PrimaryKey]
        [Int32(isPrimary: true, isNullable: false, isIdentity: true)]
        public int HadithCollectionID { get; set; }

        [ForiegnKey(typeof(Person))]
        [Int32(isNullable: false)]
        public int NarratorID { get; set; }

        [Int32(isNullable:false)]
        int ReliabilityScore { get; set; }

        [Int32(isNullable: false)]
        public int BookNo { get; set; }

        [Int32(isNullable: false)]
        public int VolumeNo { get; set; }

        [Int32(isNullable: false)]
        public int ChapterNo { get; set; }

    }
}
