﻿using System;
using System.Collections.Generic;
using System.Text;
using FrameworkX.ObjectSpace.Data.Schema;

namespace FrameworkX.HadithDB.Core.Entities
{
    [Serializable]
    public class Language
    {
        [PrimaryKey]
        [Int32(isPrimary: true, isNullable: false, isIdentity: true)]
        public int LanguageID { get; set; }

        [AnsiString(length: 50, isNullable: false)]
        public string LanguageEnglishName { get; set; }

        [String(length: 50, isNullable: false)]
        public string LanguagenativeName { get; set; }

        [String(length: 20, isNullable: false)]
        public string LanguageCode { get; set; }

    }
}
