﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using FrameworkX.ObjectSpace.Data.Schema;

namespace FrameworkX.TinyCms.Core.Content
{
    public class ContentField
    {
        [PrimaryKey]
        [Int32(true, false, true)]
        public int ContentFieldID { get; set; }
        [String(50, false)]
        public string Name { get; set; }
        [String(256, false)]
        public string Description { get; set; }
        [Int32(false)]
        public int FieldType { get; set; }
        [Boolean(false, true)]
        public bool Required { get; set; }
        [Int32(false)]
        public int Length { get; set; }
        [Int32(false)]
        public int Precision { get; set; }
    }
}
