using System;
using System.Collections.Generic;
using System.Text;
using FrameworkX.ObjectSpace.Data.Schema;

namespace FrameworkX.TinyCms.Core.Security
{
    [Serializable]
    public class Group
    {
        private long _groupID = 0;
        [PrimaryKey]
        public long GroupID
        {
            get { return _groupID; }
            set { _groupID = value; }
        }

        
        private string _groupName = string.Empty;
        [String(50, false)]
        [UniqueFieldConstraint]
        public string GroupName
        {
            get { return _groupName; }
            set { _groupName = value; }
        }

        private string _description = string.Empty;
        [String(50, false)]
        public string Description
        {
            get { return _description; }
            set { _description = value; }
        }

        public override string ToString()
        {
            return this.GroupName;
        }



    }
}
