using System;
using System.Collections.Generic;
using System.Text;
using FrameworkQ.ObjectSpace.Data.Providers;

namespace FrameworkQ.ObjectSpace
{	
	public class Configuration
	{
		IDatabaseProvider _provider;
		string _connectionString = string.Empty;

		public Configuration(IDatabaseProvider provider, string connectionString)
		{
			_provider = provider;
			_connectionString = connectionString;
		}

		public IDatabaseProvider Provider
		{
			get { return _provider; }
		}

		public string ConnectionString
		{
			get { return _connectionString; }
		}


	}
}
