using System;
using System.Collections.Generic;
using System.Text;
using FrameworkQ.ObjectSpace.Data.SqlObjects.Generation;
using System.Data;
using System.Data.Common;

namespace FrameworkQ.ObjectSpace.Data.Providers
{
	public interface IDatabaseProvider
	{
		ISqlDataTypeTranslator GetDataTypeTranslator();
        ISqlGenerator GetGenerator();
        IDbConnection CreateConnection(string connectionString);
        IDbCommand CreateCommand ( IDbConnection conn);
        IDbTransaction CreateTransaction ( IDbConnection conn);
        DbParameter CreateParameter();
	}
}
