using System;
using System.Collections.Generic;
using System.Text;
using System.Data;

namespace FrameworkQ.ObjectSpace.Data.Schema
{
    public class AnsiStringAttribute : DataTypeAttribute
    {


        public AnsiStringAttribute()
            : base(System.Data.DbType.AnsiString, 0, 0, 0, true, null, false, false)
        {
        }

        public AnsiStringAttribute(int length) : base (System.Data.DbType.AnsiString, length,0,0,true,null,false, false)
        {
        }

        public AnsiStringAttribute(int length, bool isNullable)
            : base(System.Data.DbType.AnsiString, length, 0, 0, isNullable , null, false, false)
        {
        }

        public AnsiStringAttribute(int length, bool isNullable, string defaultValue)
            : base(System.Data.DbType.AnsiString, length, 0, 0, isNullable, defaultValue, false, false)
        {             
        }        


    }
}
