using System;
using System.Collections.Generic;
using System.Text;

namespace FrameworkQ.ObjectSpace.Data.Schema
{
    public class Int16Attribute : DataTypeAttribute
    {
        public Int16Attribute()
            : base(System.Data.DbType.Int16, 0, 0, 0, true, string.Empty, false, false)
        {
        }

        public Int16Attribute(bool isNullable)
            : base(System.Data.DbType.Int16, 0, 0, 0, isNullable, null, false, false)
        {
        }

        public Int16Attribute(bool isNullable, bool isIdentity)
            : base(System.Data.DbType.Int16, 0, 0, 0, isNullable, null, isIdentity, false)
        {
        }

        public Int16Attribute(bool isNullable, bool isIdentity, Int16 defaultValue)
            : base(System.Data.DbType.Int16, 0, 0, 0, isNullable, defaultValue, isIdentity, false)
        {
        }

    }
}
