using System;
using System.Collections.Generic;
using System.Text;

namespace FrameworkQ.ObjectSpace.Data.Schema
{
    [AttributeUsage(AttributeTargets.Class)]
    public class UniqueFieldsConstraintAttribute : ConstraintAttribute
    {
        private string[] _properties = null;
        public UniqueFieldsConstraintAttribute(params string[] properties)
            : base(ConstraintHelper.GenerateUniqueConstraint) 
        {
            _properties = properties;
        }

        public string[] Properties
        {
            get { return _properties; }
        }

    }
}
