using System;
using System.Collections.Generic;
using System.Text;

namespace FrameworkQ.ObjectSpace.Data.Schema
{
    public class BooleanAttribute : DataTypeAttribute 
    {
        public BooleanAttribute() : base (System.Data.DbType.Boolean , 0,0,0, true, null, false, false)
        {
        }

        public BooleanAttribute(bool isNullable)
            : base(System.Data.DbType.Boolean, 0, 0, 0, isNullable, null, false, false)
        {
        }

        public BooleanAttribute(bool isNullable, bool defaultValue)
            : base(System.Data.DbType.Boolean, 0, 0, 0, isNullable, defaultValue, false, false)
        {
        }

    }
}
