using System;
using System.Collections.Generic;
using System.Text;

namespace FrameworkQ.ObjectSpace.Data.Schema
{
    public class CurrencyAttribute : DataTypeAttribute
    {
        public CurrencyAttribute() : base (System.Data.DbType.Currency, 0,0,0, true, null, false, false)
        {
        }

        public CurrencyAttribute(bool isNullable)
            : base(System.Data.DbType.Currency, 0, 0, 0, isNullable, null, false, false)
        {
        }

        public CurrencyAttribute(bool isNullable, Double defaultValue)
            : base(System.Data.DbType.Currency, 0, 0, 0, isNullable, defaultValue, false, false)
        {
        }

    }
}
