using System;
using System.Collections.Generic;
using System.Text;

namespace FrameworkQ.ObjectSpace.Data.Schema
{
    public class DateTimeAttribute : DataTypeAttribute 
    {
        public DateTimeAttribute() : base (System.Data.DbType.DateTime, 0,0,0, true, null, false, false)
        {
        }

        public DateTimeAttribute(bool isNullable)
            : base(System.Data.DbType.DateTime, 0, 0, 0, isNullable, null, false, false )
        {
        }

        public DateTimeAttribute(bool isNullable, string defaultDateTime)
            : base(System.Data.DbType.DateTime, 0, 0, 0, isNullable, defaultDateTime, false, false)
        {
            base.DefaultValue = DateTime.Parse(defaultDateTime);
        }

    }
}
