using System;
using System.Collections.Generic;
using System.Text;

namespace FrameworkQ.ObjectSpace.Data.Schema
{
    public class DoubleAttribute : DataTypeAttribute
    {
        public DoubleAttribute() : base (System.Data.DbType.Double, 0,0,0, true, null, false, false)
        {
        }

        public DoubleAttribute(bool isNullable)
            : base(System.Data.DbType.Double, 0, 0, 0, isNullable, null, false, false)
        {
        }

        public DoubleAttribute(bool isNullable, Double defaultValue)
            : base(System.Data.DbType.Double, 0, 0, 0, isNullable, defaultValue, false, false)
        {
        }

    }
}
