using System;
using System.Collections.Generic;
using System.Text;

namespace FrameworkQ.ObjectSpace.Data.Schema
{
    public class GuidAttribute : DataTypeAttribute
    {
        public GuidAttribute() : base (System.Data.DbType.Guid, 0,0,0, true, null, false, false)
        {
        }

        public GuidAttribute(bool isNullable)
            : base(System.Data.DbType.Guid, 0, 0, 0, isNullable, null, false, false)
        {
        }

        public GuidAttribute(bool isNullable, Guid defaultValue)
            : base(System.Data.DbType.Guid, 0, 0, 0, isNullable, defaultValue, false, false)
        {
        }

    }
}
