using System;
using System.Collections.Generic;
using System.Text;

namespace FrameworkQ.ObjectSpace.Data.Schema
{
    public class Int32Attribute : DataTypeAttribute
    {
        public Int32Attribute()
            : base(System.Data.DbType.Int32 , 0, 0, 0, true, string.Empty, false, false)
        {
        }

        public Int32Attribute( bool isPrimary, bool isNullable, bool isIdentity )
            : base(System.Data.DbType.Int32, 0, 0, 0, isNullable, string.Empty, isIdentity, isPrimary)
        {
        }

        public Int32Attribute(bool isNullable)
            : base(System.Data.DbType.Int32, 0, 0, 0, isNullable, null, false, false)
        {
        }
        /// <summary>
        /// property attribute
        /// </summary>
        /// <param name="isNullable"></param>
        /// <param name="isIdentity"></param>
        public Int32Attribute(bool isNullable, bool isIdentity)
            : base(System.Data.DbType.Int32, 0, 0, 0, isNullable, null, isIdentity, false)
        {
        }

        public Int32Attribute(bool isNullable, bool isIdentity, int defaultValue)
            : base(System.Data.DbType.Int32, 0, 0, 0, isNullable, defaultValue , isIdentity, false)
        {
        }

    }
}
