using System;
using System.Collections.Generic;
using System.Text;

namespace FrameworkQ.ObjectSpace.Data.Schema
{
    public class SingleAttribute : DataTypeAttribute
    {
        public SingleAttribute ()
            : base(System.Data.DbType.Int16, 0, 0, 0, true, null, false, false)
        {
        }

        public SingleAttribute (bool isNullable)
            : base(System.Data.DbType.Int16, 0, 0, 0, isNullable, null, false, false)
        {
        }

        public SingleAttribute(bool isNullable, float defaultValue)
            : base(System.Data.DbType.Int16, 0, 0, 0, isNullable, defaultValue, false, false)
        {
        }
    }
}
