using System;
using System.Collections.Generic;
using System.Text;

namespace FrameworkQ.ObjectSpace.Data.Schema
{
    public class StringAttribute : DataTypeAttribute
    {
        public StringAttribute()
            : base(System.Data.DbType.String, 0, 0, 0, true, null, false, false)
        {
        }

        public StringAttribute(int length) : base (System.Data.DbType.String, length,0,0,true,null,false, false)
        {
        }

        public StringAttribute(int length, bool isNullable)
            : base(System.Data.DbType.String, length, 0, 0, isNullable, null, false, false)
        {
        }

        public StringAttribute(int length, bool isNullable, string defaultValue)
            : base(System.Data.DbType.String, length, 0, 0, isNullable, defaultValue, false, false)
        {             
        }        
    }
    
}
