using System;
using System.Collections.Generic;
using System.Text;

namespace FrameworkQ.ObjectSpace.Data.Schema
{
    public class UInt16Attribute : DataTypeAttribute
    {
        public UInt16Attribute()
            : base(System.Data.DbType.UInt16, 0, 0, 0, true, null, false, false)
        {            
        }

        public UInt16Attribute(bool isNullable)
            : base(System.Data.DbType.UInt16, 0, 0, 0, isNullable, null, false, false)
        {
        }

        public UInt16Attribute(bool isNullable, bool isIdentity)
            : base(System.Data.DbType.UInt16, 0, 0, 0, isNullable, null, isIdentity, false)
        {
        }

        public UInt16Attribute(bool isNullable, bool isIdentity, UInt16 defaultValue)
            : base(System.Data.DbType.UInt16, 0, 0, 0, isNullable, defaultValue, isIdentity, false)
        {
        }


    }
}
