using System;
using System.Collections.Generic;
using System.Text;

namespace FrameworkQ.ObjectSpace.Data.Schema
{
    public class UInt64Attribute : DataTypeAttribute
    {
        public UInt64Attribute()
            : base(System.Data.DbType.Int64, 0, 0, 0, true, null, false, false)
        {
        }

        public UInt64Attribute(bool isNullable)
            : base(System.Data.DbType.Int64, 0, 0, 0, isNullable, null, false, false)
        {
        }

        public UInt64Attribute(bool isNullable, bool isIdentity)
            : base(System.Data.DbType.Int64, 0, 0, 0, isNullable, null, isIdentity, false)
        {
        }

        public UInt64Attribute(bool isNullable, bool isIdentity, UInt64 defaultValue)
            : base(System.Data.DbType.Int64, 0, 0, 0, isNullable, defaultValue, isIdentity, false)
        {
        }

    }
}
