﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;

namespace FrameworkQ.ObjectSpace.Util
{
    public delegate object ConcretePopulatorDelegate ( IDataReader reader);

    public class ConcretePopulatorAttribute: System.Attribute
    {
        private Type _type = null;
        private string _method = string.Empty;

        public ConcretePopulatorAttribute(Type methodHostType, string method)
        {
            _type = methodHostType;
            _method = method;
        }

        public Type MethodHostType
        {
            get { return _type; }
        }

        public string Method
        {
            get { return _method; }
        }
    }
}
