﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Net;
using FrameworkQ.Readable;

namespace FrameworkQ.Readable.TestConsole
{
    class Program
    {
        static void Main(string[] args)
        {
            string url = @"http://www.foxnews.com/scitech/2012/02/02/russian-scientists-lost-in-frozen-land-lost/?intcmp=features?test=latestnews";
             //@"http://www.bbc.co.uk/news/health-16854026";
            //@"http://www.nytimes.com/2012/02/05/world/middleeast/syria-homs-death-toll-said-to-rise.html";
            // @"http://www.foxnews.com/scitech/2012/02/02/russian-scientists-lost-in-frozen-land-lost/?intcmp=features?test=latestnews";

            while (true)
            {
                url = Console.ReadLine();
                WebClient wc = new WebClient();
                string content = wc.DownloadString(url);
                Parser parser = new Parser();
                parser.Strategy = new ParagraphStrategy() { IgnoreWithWordsLessThan = 20 };
                parser.Parse(content);

                Console.WriteLine(parser.Title);
                Console.WriteLine("=======================================");
                Console.WriteLine(parser.Text);
            }
        }
    }
}
